Gestiono
Referencia de APIAccounting / Pending Record

Create Pending Record credit

← Back to full API reference
POST/v1/record/pending/creditAuth required

A pending record refers to documents (invoice, quote, order, loan) that can later be linked to records such as payments, credits, and accounting movements.

  • Requires organization permissions for this resource.
  • Validated by Zod schema: postCredit.

Request details

Body fields

FieldRequiredDescription
amountYesType: number
interestYesType: number
periodYesType: enumExample: DAILY
interestTypeNoType: enumExample: COMPOUND
totalNumberOfPaymentsYesType: number
latePaymentFeeNoType: numberExample: 0
latePaymentInDaysNoType: numberExample: 3
paymentDateYesType: number
paymentsStartsOnNoType: string
pendingRecordIdNoType: number
accountIdNoType: number
paymentMethodNoType: enumExample: CASH
contactNoType: arrayExample:
contact[]YesType: object
contact[].typeYesType: string
contact[].dataYesType: string
contact[].dataTypeNoType: enumExample: string

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "amount": 1,
  "interest": 1,
  "period": "DAILY",
  "totalNumberOfPayments": 1,
  "paymentDate": 1
}

Sample response

json
{
  "creditId": "<value>"
}